// ===========================================================================
// CONTENT  : CLASS LDAPSuffix
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 18/06/2006
// HISTORY  :
//  18/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.directory ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pf.directory.DistinguishedName;
import org.pf.directory.ldap.LDAPDirEntryContainer;

/**
 * Special container that represents the root of a Directory Information Tree (DIT)
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class LDAPSuffix extends LDAPDirEntryContainer
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public LDAPSuffix( DistinguishedName dn )
  {
    super( dn.toString() ) ;
  } // LDAPSuffix()

  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPSuffix
