// ===========================================================================
// CONTENT  : CLASS BindResponse
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 08/07/2004
// HISTORY  :
//  08/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * This message contains all data for a bind response
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class BindResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
    
  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public BindResponse( BindRequest request )
  {
    super( request ) ;
  } // BindResponse() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public boolean isBindResponse() 
	{
		return true ;
	} // isBindResponse()

	// -------------------------------------------------------------------------
  
  public void objectNotFound( String dn ) 
	{
		this.setResponseCode( LDAP_INVALID_CREDENTIALS ) ;
		this.setMessageText( "No object for dn <" + dn + "> found" ) ;
	} // objectNotFound()

	// -------------------------------------------------------------------------
  
  public void invalidPassword( String dn ) 
	{
		this.setResponseCode( LDAP_INVALID_CREDENTIALS ) ;
		this.setMessageText( "Invalid password for dn <" + dn + ">" ) ;
	} // objectNotFound()

	// -------------------------------------------------------------------------
  
  public void inappropriateAuthentication() 
  {
  	this.setResponseCode( LDAP_INAPPROPRIATE_AUTHENTICATION ) ;
  	this.setMessageText( "Authentication required" ) ;
  } // objectNotFound()
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  protected String getName() 
	{
		return "BindResponse" ;
	} // getName() 

	// -------------------------------------------------------------------------
  
} // class BindResponse 
