// ===========================================================================
// CONTENT  : CLASS DeleteRequest
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 27/06/2006
// HISTORY  :
//  27/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pf.directory.DistinguishedName;

/**
 * Represents a delete request. That is a DN of the object to be deleted.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class DeleteRequest extends RequestMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private DistinguishedName DN = null ;
  public DistinguishedName getDN() { return DN ; }
  public void setDN( DistinguishedName newValue ) { DN = newValue ; }
	
  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public DeleteRequest()
  {
    super() ;
  } // DeleteRequest()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  /**
   * Returns true if the receiver is a delete request.
   */
  public boolean isDeleteRequest() 
  {
  	return true ;
  } // isDeleteRequest() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
	protected String getName()
	{
		return "DeleteRequest" ;
	} // getName() 
	
	// -------------------------------------------------------------------------
	
} // class DeleteRequest
