// ===========================================================================
// CONTENT  : ABSTRACT CLASS RequestMessage
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 27/06/2006
// HISTORY  :
//  08/07/2004  mdu  CREATED
//	27/06/2006	mdu		changed	-->	Support more requests
//
// Copyright (c) 2004-2006, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Superclass of all request messages.
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
abstract public class RequestMessage extends AbstractMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance .
   */
  protected RequestMessage()
  {
    super() ;
  } // RequestMessage() 

  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  /**
   * Returns true if the receiver is a bind request.
   */
  public boolean isBindRequest() 
	{
		return false ;
	} // isBindRequest() 

	// -------------------------------------------------------------------------
  
  /**
   * Returns true if the receiver is an unbind request.
   */
  public boolean isUnbindRequest() 
	{
		return false ;
	} // isUnbindRequest() 

	// -------------------------------------------------------------------------
  
  /**
   * Returns true if the receiver is a search request.
   */
  public boolean isSearchRequest() 
	{
		return false ;
	} // isSearchRequest() 

	// -------------------------------------------------------------------------
  
  /**
   * Returns true if the receiver is a delete request.
   */
  public boolean isDeleteRequest() 
  {
  	return false ;
  } // isDeleteRequest() 
  
  // -------------------------------------------------------------------------
  
  /**
   * Returns true if the receiver is a add request.
   */
  public boolean isAddRequest() 
  {
  	return false ;
  } // isAddRequest() 
  
  // -------------------------------------------------------------------------
  
  /**
   * Returns true if the receiver is a modify request.
   */
  public boolean isModifyRequest() 
  {
  	return false ;
  } // isModifyRequest() 
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class RequestMessage 
