// ===========================================================================
// CONTENT  : CLASS SearchResultDone
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/07/2004
// HISTORY  :
//  14/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * The final response object of to a search request that contains the
 * result code.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class SearchResultDone extends SearchResponse
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public SearchResultDone( SearchRequest request )
  {
    super( request ) ;
  } // SearchResultDone() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  @Override
  public boolean isSearchResultDone() 
	{
		return true ;
	} // isSearchResultDone() 

	// -------------------------------------------------------------------------
  
  /**
   * Sets this response to the sate that indicates that not all objects
   * have been read due to the search limit.
   */
  public void setSizeLimitExceeded() 
	{
		this.setResponseCode( LDAP_SIZE_LIMIT_EXCEEDED ) ;
	} // setSizeLimitExceeded() 

	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
	protected String getName()
	{
		return "SearchResultDone" ;
	} // getName() 
	
	// -------------------------------------------------------------------------
	
} // class SearchResultDone 
