// ===========================================================================
// CONTENT  : CLASS SearchResultEntry
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/07/2004
// HISTORY  :
//  14/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pf.directory.MultiValueAttributes;

/**
 * Contains one entry of the result of a search request 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class SearchResultEntry extends SearchResponse
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private MultiValueAttributes attributes = null ;
  public MultiValueAttributes getAttributes() { return attributes ; }
  public void setAttributes( MultiValueAttributes newValue ) { attributes = newValue ; }
  
  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public SearchResultEntry( SearchRequest request )
  {
    super( request ) ;
  } // SearchResultEntry() 
  
  // -------------------------------------------------------------------------

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  @Override
  public boolean isSearchResultEntry() 
	{
		return true ;
	} // isSearchResultEntry() 

	// -------------------------------------------------------------------------
    
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

	protected String getName()
	{
		return "SearchResultEntry" ;
	} // getName() 
	
	// -------------------------------------------------------------------------
	
	@Override
	protected void appendParameter( StringBuffer buffer )
	{
		buffer.append( '"' ) ;
		buffer.append( this.getDN() ) ;
		buffer.append( '"' ) ;
	} // appendParameter()
	
	// -------------------------------------------------------------------------
	
} // class SearchResultEntry 
