// ===========================================================================
// CONTENT  : CLASS UnbindRequest
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 19/07/2004
// HISTORY  :
//  19/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Represents the LDAPv3 unbind message.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class UnbindRequest extends RequestMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public UnbindRequest()
  {
    super() ;
  } // UnbindRequest() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  /**
   * Returns true because the receiver is an unbind request.
   */
  public boolean isUnbindRequest() 
	{
		return true ;
	} // isUnbindRequest() 

	// -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

	protected String getName()
	{
		return "Unbind" ;
	} // getName()
	
	// -------------------------------------------------------------------------
	
} // class UnbindRequest 
