// ===========================================================================
// CONTENT  : CLASS SubstringFilter
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/07/2004
// HISTORY  :
//  10/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol.ber;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Contains a an attribute name and a match pattern.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class SubstringFilter
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  private String name = null ;
  public String getName() { return name ; }
  public void setName( String newValue ) { name = newValue ; }
  
  private String pattern = null ;
  public String getPattern() { return pattern ; }
  public void setPattern( String newValue ) { pattern = newValue ; }  
  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public SubstringFilter()
  {
    super() ;
  } // SubstringFilter()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public String toString() 
	{
		StringBuffer buffer ;
		
		buffer = new StringBuffer(40) ;
		
		buffer.append( '(' ) ;
		buffer.append( this.getName() ) ;
		buffer.append( '=' ) ;
		buffer.append( this.getPattern() ) ;
		buffer.append( ')' ) ;

		return buffer.toString() ;
	} // toString()

	// -------------------------------------------------------------------------
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class SubstringFilter
