// ===========================================================================
// CONTENT  : INTERFACE IResponseInterceptor
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 13/01/2012
// HISTORY  :
//  13/01/2012  mdu  CREATED
//
// Copyright (c) 2012, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.server ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pfsw.tools.beluga.ldap.messages.ResponseMessage;

/**
 * Used to handle somehow response messages before they are sent to the client. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
@InterceptorType("response")
public interface IResponseInterceptor
{
	/**
	 * Handles the response and returns a response object that should be passed to
	 * the next interceptor in the interceptor chain. This can also be the same
	 * response message that was passed in to the method.
	 * 
	 * @param responseMessage The current response 
	 * @return The response to pass on
	 */
	public ResponseMessage handleResponse(ResponseMessage responseMessage);
  
} // interface IResponseInterceptor