// ===========================================================================
// CONTENT  : CLASS UndefinedSuffixException
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 19/06/2006
// HISTORY  :
//  19/06/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.server ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Exception that will be thrown if a container cannot be found
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class UndefinedSuffixException extends LDAPProcessingException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public UndefinedSuffixException()
  {
    super() ;
  } // UndefinedSuffixException()

  // -------------------------------------------------------------------------
  
  /**
   * Initialize the new instance with a DN.
   */
  public UndefinedSuffixException( String dn )
  {
  	super(dn) ;
  } // UndefinedSuffixException()
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class UndefinedSuffixException
